### File

`packages/components/eui-calendar/eui-calendar-weekly-day-header-actions.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-calendar-weekly-day-header-action`
imports | `EUI_LABEL` `EUI_DROPDOWN` `EUI_ICON` `EUI_BUTTON`
styles | `:host { display: flex; flex-direction: row; justify-content: space-between; width: 100%; .left-content { align-content: center; } .right-content { align-content: center; } }`
templateUrl | `./eui-calendar-weekly-day-header-actions.component.html`

### Index

###### Properties

- action
- date
- options
- sublabel

###### Inputs

- date
- sublabel

### Inputs

date
Required : true
Date to display in the header.

sublabel
Sublabel to display under the date.

### Properties

action
Default value : `output<MouseEvent | KeyboardEvent>()`
Event emitted when the action button is clicked. Can be used to trigger a dropdown or any other action.

date
Date to display in the header.

options
Default value : `input<Array<EuiCalendarDayHeaderActionOption>>([])`
Options for the action button dropdown.

sublabel
Sublabel to display under the date.

# results matching ""

# No results matching ""